Admin Sector: Attendance
Update Attendance
Update an attendance record. Only provided fields change. Restricted to Manager / Admin / Director / HR.
PATCH
/
api
/
v1
/
attendance
/
{attendance_id}
Update Attendance
curl --request PATCH \
--url https://vinmake-erp.onrender.com/api/v1/attendance/{attendance_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "<string>",
"checkIn": "<string>",
"checkOut": "<string>",
"notes": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/attendance/{attendance_id}"
payload = {
"status": "<string>",
"checkIn": "<string>",
"checkOut": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: '<string>',
checkIn: '<string>',
checkOut: '<string>',
notes: '<string>'
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/attendance/{attendance_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"orgId": "<string>",
"employeeId": "<string>",
"attendanceDate": "<string>",
"status": "<string>",
"checkIn": "<string>",
"checkOut": "<string>",
"notes": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Previous
List Leave RequestsList leave requests for the org (newest first), excluding soft-deleted rows.
Next
⌘I
Update Attendance
